# ListImportRestrictions

Retrieve Restrictions for Item by CountryOfImport

`GET /api/v2/companies/{companyId}/items/{itemCode}/restrictions/import/{countryOfImport}`

**API:** AvaTax API
**Tag:** Items
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/Items/ListImportRestrictions/

## Description

Retrieve Restrictions for Item by CountryOfImport. This API will only return import restriction for the countryOfImport.
            
NOTE: If your item code contains any of these characters /, +, ? or a space, please use the following encoding before making a request:
* Replace '/' with '\_-ava2f-\_'  For example: 'Item/Code' becomes 'Item_-ava2f-_Code'
* Replace '+' with '\_-ava2b-\_'  For example: 'Item+Code' becomes 'Item_-ava2b-_Code'
* Replace '?' with '\_-ava3f-\_'  For example: 'Item?Code' becomes 'Item_-ava3f-_Code'
* Replace '%' with '\_-ava25-\_'  For example: 'Item%Code' becomes 'Item_-ava25-_Code'
* Replace '#' with '\_-ava23-\_'  For example: 'Item#Code' becomes 'Item_-ava23-_Code'
* Replace ''' with '\_-ava27-\_'  For example: 'Item'Code' becomes 'Item_-ava27-_Code'
* Replace '"' with '\_-ava22-\_'  For example: 'Item"Code' becomes 'Item_-ava22-_Code'

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPAdmin, CSPTester, ReturnsOnlyAccountAdmin, ReturnsOnlyAccountUser, ReturnsOnlyCompanyAdmin, ReturnsOnlyCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The ID of the company that owns this item object |
| `itemCode` | string | path | Yes | ItemCode for the item |
| `countryOfImport` | string | path | Yes | Country for which you want the restrictions for the Item. |
| `$top` | integer | query | No | If nonzero, return no more than this number of results.  Used with `$skip` to provide pagination for large datasets.  Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records. |
| `$skip` | integer | query | No | If nonzero, skip this number of results before returning data.  Used with `$top` to provide pagination for large datasets. |
| `$orderBy` | string | query | No | A comma separated list of sort statements in the format `(fieldname) [ASC|DESC]`, for example `id ASC`. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `ItemRestrictionOutputModelFetchResult` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

### 200 Response: `ItemRestrictionOutputModelFetchResult`

| Property | Type | Required | Description |
|---|---|---|---|
| `@recordsetCount` | integer | No |  |
| `value` | ItemRestrictionOutputModel[] | No |  |
| `@nextLink` | string | No |  |
| `pageKey` | string | No |  |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/companies/{companyId}/items/{itemCode}/restrictions/import/{countryOfImport}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```